Loading...
Searching...
No Matches
std::tuple_element< i, tuple_t > Struct Template Reference
Alphabet » Composite

Obtains the type of the specified element. More...

`#include <seqan3/alphabet/composite/alphabet_tuple_base.hpp>`

Inheritance diagram for std::tuple_element< i, tuple_t >:
[legend]

## Public Types

using | type = seqan3::list_traits::at<i, typename tuple_t::seqan3_required_types>
| Element type.

## Detailed Description

template<std::size_t i, seqan3::detail::alphabet_tuple_like tuple_t>
struct std::tuple_element< i, tuple_t >

Obtains the type of the specified element.

See also
  std::tuple_element

This entity is stable. Since version 3.1.

The documentation for this struct was generated from the following file:

- alphabet_tuple_base.hpp

Hide me